/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "render.h"
#include "term.h"

void renderInit() {
  termInit();
}

void renderUpdate() {
  termUpdate();
  termClear();

  for(int32_t y = 0; y < TERM.height; y++) {
    for(int32_t x = 0; x < TERM.width; x++) {
      char_t c = ' '; // Replace with actual rendering logic
      termPushChar(c);
    }
  }

  termFlush();
}