/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "dusk.h"

extern int32_t renderColumnCount;
extern int32_t renderRowCount;

/**
 * Init the render system.
 */
void renderInit();

/**
 * Update the render system.
 */
void renderUpdate();