/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "util/random.h"
#include "display/render.h"

int32_t main(const int32_t argc, const char **argv) {
  randomInit();
  renderInit();

  while(1) {
    renderUpdate();
    usleep(100 * 1000); // Sleep for 16 milliseconds (60 FPS)
  }

  return EXIT_SUCCESS;
}