/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "entity.h"
#include "assert/assert.h"

void playerInit(entity_t *player) {
  assertNotNull(player, "Player entity is NULL");
  assertTrue(player->type == ENTITY_TYPE_PLAYER, "Entity is not a player");
}