/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "dusk.h"

typedef struct {
  char_t input;
} input_t;

extern input_t INPUT;

/**
 * Initializes the input system.
 */
void inputInit(void);

/**
 * Updates the input system.
 */
void inputUpdate(void);